package domain

type AlibabaWdkMarketingItembuygiftAdditemLimitInfo struct {
	/*
	   每人每日限购 defalutValue:-1    */
	UserDailyLimitCnt *int64 `json:"user_daily_limit_cnt,omitempty" `

	/*
	   每人活动期间总限购 defalutValue:-1    */
	UserLimitCnt *int64 `json:"user_limit_cnt,omitempty" `

	/*
	   活动期间总限购 defalutValue:-1    */
	TotalLimitCnt *int64 `json:"total_limit_cnt,omitempty" `
}

func (s *AlibabaWdkMarketingItembuygiftAdditemLimitInfo) SetUserDailyLimitCnt(v int64) *AlibabaWdkMarketingItembuygiftAdditemLimitInfo {
	s.UserDailyLimitCnt = &v
	return s
}
func (s *AlibabaWdkMarketingItembuygiftAdditemLimitInfo) SetUserLimitCnt(v int64) *AlibabaWdkMarketingItembuygiftAdditemLimitInfo {
	s.UserLimitCnt = &v
	return s
}
func (s *AlibabaWdkMarketingItembuygiftAdditemLimitInfo) SetTotalLimitCnt(v int64) *AlibabaWdkMarketingItembuygiftAdditemLimitInfo {
	s.TotalLimitCnt = &v
	return s
}
